@keyframes comparison {
  0% {
    margin: 12px 80px 12px 80px;
    border-radius: 64px;
    border-width: 2px;
    box-shadow: 0px 4px 4px 4px rgba(0, 0, 0, 0.08);
  }
  30% {
    margin: 12px 40px 4px 40px;
    border-width: 1px;
    box-shadow: 0px 2px 2px 2px rgba(0, 0, 0, 0.08);
  }
  35% {
    height: 100vh;
    margin: 12px 0px 40px 0px; /* Adjust padding here if needed */
  }
  42% {
    height: 120vh;
    margin: 12px 0px 40px 0px; /* Adjust padding here if needed */
  }
  50% {
    border-radius: 32px;
    height: 100vh;
  }

  70% {
    height: 100vh;
    margin: 12px 64px 12px 64px;
    transition: margin-bottom 0.5s ease-in-out;
  }
}
@keyframes slideIn_bottom {
  from {
    bottom: -100%;
  }
  to {
    bottom: 0;
  }
}
@keyframes slideIn {
  0% {
    transform: translateY(-100%);
    opacity: 0;
  }
  100% {
    transform: translateY(0);
    opacity: 1;
  }
}
.slide-in {
  animation: slideIn 0.3s ease-out;
}
.header-image {
  width: auto;
  height: auto;
  margin-top: 40px;
  margin-bottom: 20px;
  position: relative;
  animation: slideIn_bottom 0.5s ease-in-out forwards;
  content: url(/img/tabshot.png)
}
#main {
  display: flex;
  flex-direction: column;
  align-items: center;
  height: 120vh;
  background-repeat: no-repeat;
  background-size: cover;
  min-height: 1200px;
}
#main a {
  outline: none;
  text-decoration: none;
  -webkit-tap-highlight-color: transparent; /* Removes blue highlight on tap */
}

#main a:focus, #main a:active {
  outline: none;
  background-color: transparent;
  color: inherit; /* Keeps the color intact */
  box-shadow: none; /* Remove any shadow or outline */
}
#main-2 {
  min-height: 900px;
  height: 80vh;
  word-wrap: break-word;
  margin: 12px 30px 12px 30px;
  border-radius: 70px;
  background-color: var(--md-sys-color-surface-container-high);
  box-sizing: border-box;
}
#main h1 {
  font-weight: 600;
  font-style: normal;
  font-size: 60px;
  margin-bottom: 10px;
  margin-top: 200px;
  width: 80%;
}
#sec1Text p {
  font-weight: 400;
  font-style: normal;
  margin-top: 0px;
  padding-left: 0px;
  width: 80%;
  font-size: 24px;
}
#sec1Text {
  display: flex;
  flex-direction: column;
  align-items: center;
  text-align: center;
  width: 100%;
}

#sec2 {
  display: flex;
  flex-direction: row;
  flex-wrap: wrap;
  justify-content: center;
  align-content: center;
  font-size: 38px;
  height: 100%;
  border-radius: 64px;
  text-align: center;
  background-color: var(--md-sys-color-surface-container-high);
  border-width: 2px;
  padding: 8px;
  margin-top: 50px;
}
#sec2 h2 {
  padding: 12px;
  color: var(--md-sys-color-on-surface-container-high);
}
#sec2 p {
  margin-top: 0px;
  padding-top: 0px;
  font-size: 22px;
  color: var(--md-sys-color-outline);
  width: 80%;
  margin-bottom: 64px;
}
#sec2 h4 {
  font-size: 38px;
  margin-bottom: 4px;
  color: var(--md-sys-color-on-surface-container);
}
#comparison {
  display: flex;
  flex-direction: row;
}
#sec3 {
  display: flex;
  flex-direction: column;
  justify-content: center;
  font-size: 38px;
  width: 100%;
  text-align: center;
}
.editor {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  width: 70%;
  padding: 0px;
  margin: 0px;
}
.editor img {
  border-radius: 12px;
  min-width: 400px;
  width: 60%;
  height: auto;
}

.feature_img {
  width: 200px;
  height: 200px;
}
.feature {
  padding: 12px;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  text-align: center;
}
.feature p {
  font-family: "Poppins", sans-serif;
  font-weight: 500;
  font-style: normal;
  text-align: center;
  color: var(--md-sys-color-outline);
  width: 80%;
  margin-top: 0px;
}
.features {
  display: flex;
  flex-direction: row;
  justify-content: center;
  text-align: center;
  font-size: 18px;
  margin: 12px;
}
.features h4 {
  font-size: 40px;
  margin-bottom: 4px;
}
#main4 {
  justify-content: center;
  padding: 50px;
}
#sec4 {
  border-radius: 20px;
  background-color: var(--md-sys-color-surface-container);
  min-height: 400px;
  display: flex;
  flex-direction: column;
  text-align: center;
  padding: 12px;
}

#sec4 h1 {
  color: var(--md-sys-color-on-surface);
  font-size: 50px;
  margin-bottom: 10px;
}

#sec4 p {
  margin-bottom: 20px;
  font-size: 20px;
  color: var(--md-sys-color-on-surface);
  margin-left: 40px;
}

.stats-container {
  display: flex;
  justify-content: space-around;
  align-items: center;
  gap: 20px;
}

.gh-stats {
  background-color: var(--md-sys-color-surface-container-high);
  padding: 50px;
  border-radius: 20px;
  width: 80%;
  max-width: 270px;
  text-align: center;
}

.gh-stats h2 {
  margin: 0 0 10px 0;
  font-size: 20px;
  color: var(--md-sys-color-on-surface-variant);
}

.gh-stats h3 {
  margin: 0;
  font-size: 36px;
  color: var(--md-sys-color-on-surface);
}
#main5 {
  padding: 120px 0px;
}
#sec5 {
  grid-template-columns: min(
      calc(var(--col-width) * 12),
      calc(100vw - 2 * var(--gutter))
    ) auto;
  -webkit-box-align: center;
  align-items: center;
  -webkit-box-pack: justify;
  justify-content: space-between;
  max-width: min(calc(var(--col-width) * 22), calc(100vw - 2 * var(--gutter)));
  padding: 0px 70px;
  display: flex;
  place-items: start;
  box-sizing: inherit;
  unicode-bidi: isolate;
  margin: auto;
}
#sec5 p {
  width: 70%;
  max-width: 700px;
  font-size: 5rem;
  font-weight: 400;
  padding: 0px;
  margin: 0px;
  letter-spacing: -0.04em;
}

.material-button {
  background-color: var(--md-sys-color-primary); /* Light background color */
  color: var(--md-sys-color-on-primary); /* Text color */
  border: 1px solid var(--md-sys-color-primary-container); /* Initial border */
  border-radius: 9999px; /* Fully rounded corners */
  padding: 24px 36px; /* Padding */
  font-size: 40px; /* Font size */
  font-weight: 500; /* Medium font weight */
  cursor: pointer; /* Pointer cursor on hover */
  display: flex;
  align-items: center;
  gap: 8px; /* Space between text and arrow */
}
.material-button .arrow {
  font-size: 40px;
}
.material-button:hover {
  background-color: var(
    --md-sys-color-primary-container-dim
  ); /* Background on hover */
  color: var(--md-sys-color-primary);
  border: 1px solid var(--md-sys-color-on-secondary-container); /* Border on hover */
}
.wavy-underline {
  position: relative;
  display: inline-block;
}

.wavy-underline::after {
  content: "";
  position: absolute;
  bottom: -10px;
  left: 0;
  height: 9px;
  width: 100%;
  border: solid 2px var(--md-sys-color-primary);
  border-color: var(--md-sys-color-primary) transparent transparent transparent;
  border-radius: 50%;
}

@media (min-width: 100px) and (max-width: 950px) {
  .stats-container {
    flex-direction: column;
  }
  .gh-stats {
    width: 50%;
  }
  #main4 {
    padding: 30px;
  }
  #sec4 {
    padding-bottom: 30px;
  }
  #sec4 p {
    margin: 0px 0px 20px 0px;
    text-align: center;
    font-size: 20px;
  }
  #sec4 h1 {
    font-size: 45px;
  }
  .header-image {
    display: inline;
    margin-top: 0px;
    content: url(/img/mockup.webp);
    width: 100%;
    max-width: 400px;
    height: auto;
    position: relative;
  }
  #sec1Text h1 {
    vertical-align: bottom;
    font-size: 2.5em;
  }
  #sec1Text p {
    font-size: 1.1em;
  }
  header {
    font-size: larger;
    height: 60px;
    border-radius: 0px 0px 20px 20px;
    margin-bottom: 0px;
    box-shadow: 0px 0px 0px 0px #111111;
  }
  .header-container {
    box-shadow: 0px;
  }
  header p {
    padding: 0px 12px;
    font-size: 22px;
  }
  header li a {
    display: none;
  }
  .header-container {
    display: flex;
    justify-content: center;
    align-items: center; /* optional for vertical centering */
    width: max-content;
  }
  body {
    width: 100%;
  }
  #sec1Text {
    margin-top: 0px;
    width: 100%;
    height: 100%;
  }
  #main {
    display: flex;
    flex-direction: column;
    margin-left: 4px;
    height: 100vh;
    min-height: 800px;
    align-items: center;
    justify-content: center;
    position: relative;
  }
  #main h1 {
    margin-top: 100px;
  }
  #sec2 {
    font-size: 20px;
    display: flex;
    text-align: center;
    align-items: center;
    justify-content: center;
    flex-wrap: wrap;
    justify-content: space-between;
    flex-direction: row;
    padding: 0px;
    margin: 0px;
    border-radius: 35px;
  }
  #main-2 {
    border-radius: 35px;
    position: sticky;
  }
  #main-2 h4 {
    font-size: 24px;
    margin-top: 24px;
  }
  #sec2 p {
    margin-top: 0px;
    padding-top: 0px;
    font-size: 16px;
    width: 100%;
    margin-bottom: 32px;
  }
  #sec2 h2 {
    padding: 12px;
  }
  #comparison {
    display: flex;
    flex-direction: column-reverse;
    align-items: center;
    justify-content: center;
    text-align: center;
  }
  #main-2 {
    animation: none !important;
    min-height: 300px;
    height: auto;
  }
  .editor {
    width: 80%;
    align-items: center;
    text-align: center;
  }
  .editor img {
    min-width: 200px;
    width: 95%;
    height: auto;
    margin-bottom: 0px;
  }
  .features {
    display: flex;
    flex-direction: column;
    font-size: 18px;
  }
  #sec3 h2 {
    font-size: 36px;
    padding: 12px;
  }
  #sec3 h4 {
    font-size: 30px;
    margin-bottom: 0px;
    padding-bottom: 0px;
  }
  #sec5 {
    display: flex;
    flex-direction: column;
    padding: 0px 12px;
  }
  #sec5 p {
    font-size: 3.25rem;
    width: 100%;
    max-width: unset;
  }
  .material-button {
    font-size: 28px;
    padding: 16px;
  }
  .material-button .arrow {
    font-size: 24px;
  }
  @media (prefers-color-scheme: dark) {
    .header-image {
      content: url(/img/mockup_dark.webp);
    }
  }
}

@media (min-width: 1500px) {
  #main-2 {
    animation: comparison linear;
    animation-timeline: scroll(root block);
  }
}
